## sup 20060803

=== Makefile ===
--- 
+++ 
@@ -1,3 +1,4 @@
+#	$NetBSD: Makefile,v 1.24 2006/04/02 01:39:48 christos Exp $
 # Copyright (c) 1992,1991 Carnegie Mellon University
 # All Rights Reserved.
 # 
@@ -24,7 +25,7 @@
 # Makefile to build sup (the client side), supfilesrv (the repository
 # side, and supscan (used by the repository. If you only want to sup
 # files from CMU, just build sup.
-# The header files: c.h, libc.h and sysent.h are only
+# The header files: c.h and libc.h are only
 # necessary if you are compiling on a non-Mach system. Likewise the
 # files in libextra.a are normally found in libcs.a on a Mach system.
 # DOPRINT_VA is used by vprintf.c and should be defined if your version
@@ -40,28 +41,45 @@
 # If you have crypt/crypt.c and /usr/lib/libcrypt.a, you will be building
 # a system that uses the SUP crypt mechanism by default.
 #
-SITE			= NETBSD
+# If building on non 4.4BSD systems, you'll need the vis(3) and the daemon(3)
+# functions from libc and libutil
+
+#SITE			= SUNOS
+#SITE			= SOLARIS
+#SITE			= NETBSD
 #SITE			= CMUCS
-NETBSD_DEFINES		= -UMACH -DVAR_TMP -DHAS_DAEMON
+SITE1			!= uname -s | tr '[a-z]' '[A-Z]'
+SITE2			=$(shell uname -s | tr '[a-z]' '[A-Z]')
+SITE			= ${SITE1}${SITE2}
+TARDIR			= sup-0.0
+
+LINUX_DEFINES		= -UMACH -DVAR_TMP -DHAS_DAEMON -DHAS_POSIX_DIR
+NETBSD_DEFINES		= -UMACH -DVAR_TMP -DHAS_DAEMON -DHAS_POSIX_DIR \
+			    -DHAS_FPARSELN -DHAS_FGETLN -DHAS_VIS
+SOLARIS_DEFINES		= -UMACH -DVAR_TMP -DHAS_POSIX_DIR -DNEED_VSNPRINTF
 AFS_DEFINES		= -DAFS -I/usr/afsws/include
-OSF_DEFINES		= -UMACH -DOSF -D_BSD -noshrlib -g -DNEED_VSNPRINTF -DVAR_TMP
+OSF_DEFINES		= -UMACH -DOSF -D_BSD -noshrlib -g -DNEED_VSNPRINTF \
+			    -DVAR_TMP
+SUNOS_DEFINES		= -UMACH -D_BSD -DNEED_VSNPRINTF -DVAR_TMP \
+			    -DHAS_POSIX_DIR -DHAS_DAEMON -DNEED_DAEMON
 CMUCS_DEFINES		= -DMACH -DDOPRINT_VA -DNEED_VPRINTF
 NON_MACH_DEFINES	= -UMACH
-#DEFS			= -UCMUCS -UCMU  ${${SITE}_DEFINES}
-DEFS			= -UCMUCS -UCMU  ${NETBSD_DEFINES}
+
 
 #INSTALLATION PARAMETERS
-NETBSD_BINDIR		= /usr/local/bin
-NETBSD_MAN1		= /usr/local/man/man1
-NETBSD_MAN8		= /usr/local/man/man8
+PREFIX		       ?= /usr/local/
+NETBSD_BINDIR		= ${PREFIX}/sbin
+NETBSD_MAN1		= ${PREFIX}/man/man1
+NETBSD_MAN8		= ${PREFIX}/man/man8
 
 CFLAGS			= ${DEFS} -O -I.
 
 SUPCL			= supcmain.o supcvers.o supcparse.o supcname.o \
 			  supcmisc.o supcmeat.o
 SUPS			= scm.o scmio.o stree.o log.o supmsg.o netcrypt.o
-EXTRA			= atoo.o errmsg.o expand.o ffilecopy.o filecopy.o nxtarg.o  \
-			  path.o quit.o run.o salloc.o skipto.o  vprintf.o
+EXTRA			= atoo.o errmsg.o expand.o ffilecopy.o filecopy.o \
+			  nxtarg.o path.o quit.o read_line.o run.o estrdup.o \
+			  skipto.o vprintf.o
 
 
 PROGRAMS		= sup supscan supfilesrv
@@ -71,62 +89,56 @@
 AFS_LIBPATH		= /usr/afs/lib
 AFS_LIBS		= -L${AFS_LIBPATH}/afs -lkauth -lprot -L${AFS_LIBPATH} -lubik -lauth -lrxkad -lsys -ldes -lrx -llwp -lcmd -lcom_err -lc ${AFS_LIBPATH}/afs/util.a
 
-.if exists(/usr/lib/libcrypt.a) && exists(${.CURDIR}/crypt/crypt.c) && !defined(EXPORTABLE_SYSTEM)
-USE_CRYPT		= yes
-.endif
-
-.if defined(USE_CRYPT)
-NETBSD_LIBS		= -lcrypt -lutil
-.else
-NETBSD_LIBS		= -lutil
-.endif
+NETBSD_LIBS		= -lcrypt
+LINUX_LIBS		= -lcrypt
 CMUCS_LIBS		= -lsys
 OSF_LIBS		= -lbsd
-LIBS			= libextra.a
+EXTRALIBS		= libextra.a
 sup_OFILES		= ${SUPCL} ${SUPS}
 supfilesrv_OFILES	= supfilesrv.o scan.o ${SUPS}
 supfilesrv_LIBS		= libextra.a 
 supscan_OFILES		= supscan.o stree.o scan.o
+SOLARIS_LIBS		= -lsocket -lnsl
+SUNOS_LIBS		= 
 
+DEFS			= -UCMUCS -UCMU  ${${SITE}_DEFINES}
+LIBS			= ${EXTRALIBS}
 
 all: ${PROGRAMS}
-.if defined(USE_CRYPT)
-	@echo "WARNING: You have built a NON-exportable version of sup because it uses crypt()!"
-	@echo "	To build a crypt-clean version define EXPORTABLE_SYSTEM=true and make."
-.endif
 
 sup: ${sup_OFILES} ${LIBS}
-	${CC} ${CFLAGS} -o sup ${sup_OFILES} ${LIBS} ${NETBSD_LIBS}
+	${CC} ${CFLAGS} -o sup ${sup_OFILES} ${LIBS} ${${SITE}_LIBS}
 
 supfilesrv: ${supfilesrv_OFILES} ${supfilesrv_LIBS}
-	${CC} ${CFLAGS} -o supfilesrv ${supfilesrv_OFILES} ${supfilesrv_LIBS} ${NETBSD_LIBS}
+	${CC} ${CFLAGS} -o supfilesrv ${supfilesrv_OFILES} ${supfilesrv_LIBS} ${LIBS} ${${SITE}_LIBS}
 
 supscan:  ${supscan_OFILES} ${LIBS}
-	${CC} ${CFLAGS} -o supscan ${supscan_OFILES} ${LIBS} ${NETBSD_LIBS}
+	${CC} ${CFLAGS} -o supscan ${supscan_OFILES} ${LIBS} ${${SITE}_LIBS}
 
 libextra.a: ${EXTRA}
 	ar r libextra.a $?
 	ranlib libextra.a
 
-clean:
+clean cleandir distclean:
 	rm -f ${PROGRAMS} libextra.a netcrypt.c *.o core a.out
 
-install:
+install: ${PROGRAMS}
 	install -cs -m 555 -o bin -g bin ${PROGRAMS} ${NETBSD_BINDIR}
 	install -c -m 444 -o bin -g bin ${MAN1} ${NETBSD_MAN1}
 	install -c -m 444 -o bin -g bin ${MAN8} ${NETBSD_MAN8}
 
-package: install
-	pkg_create -c pkg/+ONELINE -d pkg/+DESC -f pkg/+PLIST sup_bin
-
-netcrypt.c: crypt.diffs
-.if defined(USE_CRYPT)
-	ed - crypt/crypt.c < crypt.diffs
-.else
+netcrypt.c:
 	@echo "[ Using netcryptvoid.c ]"
 	cp netcryptvoid.c netcrypt.c
-.endif
 
+tar:
+	mkdir ${TARDIR} ${TARDIR}/sys
+	cp -p *.[ch18] Makefile ${TARDIR}
+	cp -p sys/*.h ${TARDIR}/sys
+	tar -czf ${TARDIR}.tar.gz ${TARDIR}
+	rm -fr ${TARDIR}
+
+read_line.o: supextern.h
 scan.o:	sup.h
 scm.o:	sup.h
 scmio.o: sup.h supmsg.h
