## sup 20100519

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-#	$NetBSD: Makefile,v 1.24 2006/04/02 01:39:48 christos Exp $
+#	$NetBSD: Makefile,v 1.32 2009/01/15 15:57:18 christos Exp $
 # Copyright (c) 1992,1991 Carnegie Mellon University
 # All Rights Reserved.
 # 
@@ -47,14 +47,20 @@
 #SITE			= SUNOS
 #SITE			= SOLARIS
 #SITE			= NETBSD
+#SITE			= FREEBSD
 #SITE			= CMUCS
-SITE1			!= uname -s | tr '[a-z]' '[A-Z]'
-SITE2			=$(shell uname -s | tr '[a-z]' '[A-Z]')
+SITE1			!= uname -s | tr '[a-z]' '[A-Z]' \
+			    | sed -e s/_.*//g
+SITE2			= $(shell uname -s | tr '[a-z]' '[A-Z]' \
+			    | sed -e s/_.*//g)
 SITE			= ${SITE1}${SITE2}
-TARDIR			= sup-0.0
+TARDIR			= sup-0.3
 
-LINUX_DEFINES		= -UMACH -DVAR_TMP -DHAS_DAEMON -DHAS_POSIX_DIR
+LINUX_DEFINES		= -UMACH -DVAR_TMP -DHAS_DAEMON -DHAS_POSIX_DIR \
+			  -DNEED_SETPROCTITLE
 NETBSD_DEFINES		= -UMACH -DVAR_TMP -DHAS_DAEMON -DHAS_POSIX_DIR \
+			    -DHAS_FPARSELN -DHAS_FGETLN -DHAS_VIS
+FREEBSD_DEFINES		= -UMACH -DVAR_TMP -DHAS_DAEMON -DHAS_POSIX_DIR \
 			    -DHAS_FPARSELN -DHAS_FGETLN -DHAS_VIS
 SOLARIS_DEFINES		= -UMACH -DVAR_TMP -DHAS_POSIX_DIR -DNEED_VSNPRINTF
 AFS_DEFINES		= -DAFS -I/usr/afsws/include
@@ -62,24 +68,25 @@
 			    -DVAR_TMP
 SUNOS_DEFINES		= -UMACH -D_BSD -DNEED_VSNPRINTF -DVAR_TMP \
 			    -DHAS_POSIX_DIR -DHAS_DAEMON -DNEED_DAEMON
+CYGWIN_DEFINES	= -UMACH -DVAR_TMP -DHAS_POSIX_DIR
 CMUCS_DEFINES		= -DMACH -DDOPRINT_VA -DNEED_VPRINTF
 NON_MACH_DEFINES	= -UMACH
 
 
 #INSTALLATION PARAMETERS
-PREFIX		       ?= /usr/local/
+PREFIX		       ?= /usr/pkg/
 NETBSD_BINDIR		= ${PREFIX}/sbin
 NETBSD_MAN1		= ${PREFIX}/man/man1
 NETBSD_MAN8		= ${PREFIX}/man/man8
 
-CFLAGS			= ${DEFS} -O -I.
+CFLAGS			= ${DEFS} -O -I. -g
 
 SUPCL			= supcmain.o supcvers.o supcparse.o supcname.o \
 			  supcmisc.o supcmeat.o
 SUPS			= scm.o scmio.o stree.o log.o supmsg.o netcrypt.o
-EXTRA			= atoo.o errmsg.o expand.o ffilecopy.o filecopy.o \
+EXTRA			= atoo.o expand.o ffilecopy.o filecopy.o \
 			  nxtarg.o path.o quit.o read_line.o run.o estrdup.o \
-			  skipto.o vprintf.o
+			  skipto.o vprintf.o setproctitle.o
 
 
 PROGRAMS		= sup supscan supfilesrv
@@ -90,7 +97,10 @@
 AFS_LIBS		= -L${AFS_LIBPATH}/afs -lkauth -lprot -L${AFS_LIBPATH} -lubik -lauth -lrxkad -lsys -ldes -lrx -llwp -lcmd -lcom_err -lc ${AFS_LIBPATH}/afs/util.a
 
 NETBSD_LIBS		= -lcrypt
+FREEBSD_LIBS		= -lcrypt
+DRAGONFLY_LIBS		= -lcrypt
 LINUX_LIBS		= -lcrypt
+CYGWIN_LIBS		= -lcrypt
 CMUCS_LIBS		= -lsys
 OSF_LIBS		= -lbsd
 EXTRALIBS		= libextra.a
@@ -102,6 +112,8 @@
 SUNOS_LIBS		= 
 
 DEFS			= -UCMUCS -UCMU  ${${SITE}_DEFINES}
+#DEFS			+= -DDEFDIR=\"${PREFIX}/libdata/sup\"
+#DEFS			+= -DEE_XXX -DDEFSCAN=\"/var/\" -DDEFUSER=\"nobody\"
 LIBS			= ${EXTRALIBS}
 
 all: ${PROGRAMS}
