=== debian/changelog ===
sup (20100519-8) unstable; urgency=medium

  * QA Upload
  * Add libcrypt-dev to Build-Depends (Closes: #1106952)
  * Trim obvious quilt from README.source
  * Drop "Rules-Requires-Root: no"
  * Set Standards-Version 4.7.2

 -- Alexandre Detiste <tchet@debian.org>  Fri, 05 Sep 2025 10:21:38 +0200

sup (20100519-7) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to document branch layout and enforce pristine-tar.
  * Updated vcs in d/control to Salsa.
  * Use wrap-and-sort -at for debian control files.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 25 Dec 2024 21:14:18 +0100

sup (20100519-6) unstable; urgency=medium

  * QA upload.
  * debian/upstream/metadata: Add upstream metadata information.

 -- Antonio Samuel bastos de Almeida <antoniosamuel@alunos.utfpr.edu.br>  Mon, 09 Dec 2024 22:03:39 -0300

sup (20100519-5) unstable; urgency=medium

  * QA upload.
  * Patch Makefile for "Rules-Requires-Root: no" (Closes: #1089445)

 -- Alexandre Detiste <tchet@debian.org>  Mon, 09 Dec 2024 14:53:08 +0100

sup (20100519-4) unstable; urgency=medium

  * QA upload.
  * set std-ver to 4.7.0.
  * Add 07_fix-implicit-function-declaration.patch to fix ftbfs issue.
    (Closes: #1066658)

  [ Bastian Germann ]
  * d/copyright: Convert to machine-readable format.

 -- Bo YU <tsu.yubo@gmail.com>  Thu, 11 Apr 2024 16:41:22 +0800

sup (20100519-3) unstable; urgency=medium

  * QA upload.
  * Fix ftbfs with GCC-10. (Closes: #957849)
  * Remove trailing whitespace from d/changelog.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Wed, 05 Aug 2020 12:53:16 +0100

sup (20100519-2) unstable; urgency=medium

  * QA upload.
  * Set Debian QA Group as maintainer. (see #891763)
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 13.
  * debian/control: bumped Standards-Version to 4.5.0.

 -- Marcio Demetrio Bacci <marciobacci@gmail.com>  Fri, 15 May 2020 09:58:56 -0300

sup (20100519-1) unstable; urgency=low

  * Update to new upstream snapshot.
  * Refresh 04_fix_man.patch as several man page problems are fixed
    upstream now.
  * Switch to dpkg-source 3.0 (quilt) format
  * Bump Standards version to 3.8.4

 -- Jochen Friedrich <jochen@scram.de>  Wed, 19 May 2010 19:10:12 +0200

sup (20091019-1) unstable; urgency=low

  * Update to new upstream snapshot.
  * Convert to debhelper 7 and quilt.
  * Fix compile on GNU/kFreeBSD. (Closes: #403816)
  * Add patch to fix man pages.
  * Bumped standards version to 3.8.3.
  * Update Makefile patch to not strip any binaries. (Closes: #438074)

 -- Jochen Friedrich <jochen@scram.de>  Tue, 20 Oct 2009 17:18:49 +0200

sup (20060803-2) unstable; urgency=low

  * Fix CFLAGS, so libwrap is built into sup again.

 -- Jochen Friedrich <jochen@scram.de>  Thu,  2 Nov 2006 15:03:30 +0100

sup (20060803-1) unstable; urgency=low

  * New source tarball downloaded from NetBSD CVS.
  * sup now supports libwrap.
  * converted to use cdbs.
  * bumped standards version to 3.7.2.

 -- Jochen Friedrich <jochen@scram.de>  Fri,  4 Aug 2006 14:39:07 +0200

sup (1.8-12) unstable; urgency=low

  * Fix nasty server mode bug. Thanks for noticing to
    Frank Brase <brase@lucent.com>.
  * Update standards version to 3.6.2.

 -- Jochen Friedrich <jochen@scram.de>  Mon, 19 Dec 2005 17:41:14 +0100

sup (1.8-11) unstable; urgency=high

  * Really bumped standards version to 3.6.1.
  * Added patch from DSA-521 (Closes: #255405). Urgency high.

 -- Jochen Friedrich <jochen@scram.de>  Sat,  3 Jul 2004 17:22:16 +0200

sup (1.8-10) unstable; urgency=low

  * Bumped standards version to 3.6.1 (no changes required).
  * Fixed errno handling (Thanks to Thorsten Sauter <tsauter@debian.org>
    for the patch) (Closes: #223422).
  * Corrected debian/copyright.
  * Documented IPv6 options in man page.

 -- Jochen Friedrich <jochen@scram.de>  Tue, 30 Dec 2003 22:02:24 +0100

sup (1.8-9) unstable; urgency=medium

  * Added IPv6 patch from Jun-ichiro itojun Hagino <itojun@iijlab.net>
  * Copied varargs->stdarg changes from NetBSD (closes: #195256)
  * Changed errmsg to use strerror. Copied from NetBSD.
  * Fixed compiler warnings (extra tokens after #else and #endif)
  * Fixed insecure tmp file creation (closes: #175327)
  * New maintainer (closes: #192670)

 -- Jochen Friedrich <jochen@scram.de>  Wed, 16 Jul 2003 23:27:10 +0200

sup (1.8-8) unstable; urgency=low

  * Update to standards version 3.5.2. (closes: #91041)

 -- Martin Mitchell <martin@debian.org>  Sun, 25 Mar 2001 23:47:33 +1000

sup (1.8-7) frozen unstable; urgency=low

  * Compilation fixes for alpha. (#26288)

 -- Martin Mitchell <martin@debian.org>  Wed,  4 Nov 1998 02:04:36 +1100

sup (1.8-6) frozen unstable; urgency=medium

  * Fix critical compilation problem, which prevented this package
    being compiled from source. (#23080)

 -- Martin Mitchell <martin@debian.org>  Thu,  4 Jun 1998 04:08:02 +1000

sup (1.8-5) frozen unstable; urgency=low

  * Include patch for shadow password support. (#18546)
    (Thanks Eizi Toyoda <toyoda@ms.u-tokyo.ac.jp> and
     Keiichi Ishioka <ishioka@ms.u-tokyo.ac.jp> )
  * Update to standards version 2.4.1.
  * Rewrite rules file to be fully standards compliant. (#22564)

 -- Martin Mitchell <martin@debian.org>  Tue, 19 May 1998 02:24:06 +1000

sup (1.8-4) unstable; urgency=low

  * New maintainer.
  * Libc6 compile.
  * Update to standards version 2.3.0.1.

 -- Martin Mitchell <martin@debian.org>  Tue, 11 Nov 1997 23:24:41 +1100

sup (1.8-3) contrib; urgency=low

  * Fixed extended description (#6652).

 -- Klee Dienes <klee@debian.org>  Mon, 20 Jan 1997 23:34:04 -0500

sup (1.8-2) contrib; urgency=low

  * Minor packaging fixes.

 -- Klee Dienes <klee@debian.org>  Thu, 16 Jan 1997 12:06:40 -0500

sup (1.8-1) contrib; urgency=low

  * Initial release.

 -- Klee Dienes <klee@debian.org>  Wed, 6 Nov 1996 17:17:47 -0700

Local Variables:

