=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_VERSION ?=20100519

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- DEBIANCFLAGS="${CFLAGS}" SITE=LINUX

override_dh_auto_install:
	dh_auto_install -- PREFIX=$(CURDIR)/debian/sup/usr
	dh_installdocs debian/sup.doc

get-orig-source:
	@cd /tmp; cvs -d "anoncvs@anoncvs.netbsd.org:/cvsroot" co -D ${UPSTREAM_VERSION} src/usr.sbin/sup/source
	@cd /tmp/src/usr.sbin/sup; mv source sup-${UPSTREAM_VERSION}; tar czf /tmp/sup_${UPSTREAM_VERSION}.orig.tar.gz --exclude CVS sup-${UPSTREAM_VERSION}
	@rm -rf /tmp/src
